Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class FunctionEvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.FunctionEvaluationException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  ArgumentOutsideDomainException

    public class FunctionEvaluationException

extends MathException

Exception thrown when an error occurs evaluating a function.

Maintains an `argument` property holding the input value that caused the function evaluation to fail.

Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 fÃ©vr. 2011) $
See Also:
  Serialized Form

Constructor Summary
`FunctionEvaluationException(double argument)` Construct an exception indicating the argument value that caused the function evaluation to fail.
`FunctionEvaluationException(double[] argument)` Construct an exception indicating the argument value that caused the function evaluation to fail.
`FunctionEvaluationException(double[] argument, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`FunctionEvaluationException(double[] argument, String pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`FunctionEvaluationException(double argument, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`FunctionEvaluationException(double argument, String pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`FunctionEvaluationException(Throwable cause, double argument)` Constructs an exception with specified root cause.
`FunctionEvaluationException(Throwable cause, double[] argument)` Constructs an exception with specified root cause.
`FunctionEvaluationException(Throwable cause, double[] argument, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.
`FunctionEvaluationException(Throwable cause, double[] argument, String pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.
`FunctionEvaluationException(Throwable cause, double argument, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.
`FunctionEvaluationException(Throwable cause, double argument, String pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.

Method Summary
`double[]` | `getArgument()` Returns the function argument that caused this exception.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionEvaluationException

    public FunctionEvaluationException(double argument)

  Construct an exception indicating the argument value that caused the function evaluation to fail.

  Parameters:
    `argument` - the failing function argument

### FunctionEvaluationException

    public FunctionEvaluationException(double[] argument)

  Construct an exception indicating the argument value that caused the function evaluation to fail.

  Parameters:
    `argument` - the failing function argument
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(double argument,
                                       String pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### FunctionEvaluationException

    public FunctionEvaluationException(double argument,
                                       Localizable pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

### FunctionEvaluationException

    public FunctionEvaluationException(double[] argument,
                                       String pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(double[] argument,
                                       Localizable pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

### FunctionEvaluationException

    public FunctionEvaluationException(Throwable cause,
                                       double argument)

  Constructs an exception with specified root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
  Since:
    1.2

### FunctionEvaluationException

    public FunctionEvaluationException(Throwable cause,
                                       double[] argument)

  Constructs an exception with specified root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(Throwable cause,
                                       double argument,
                                       String pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### FunctionEvaluationException

    public FunctionEvaluationException(Throwable cause,
                                       double argument,
                                       Localizable pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

### FunctionEvaluationException

    public FunctionEvaluationException(Throwable cause,
                                       double[] argument,
                                       String pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(Throwable cause,
                                       double[] argument,
                                       Localizable pattern,
                                       Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

Method Detail

### getArgument

    public double[] getArgument()

  Returns the function argument that caused this exception.

  Returns:
    argument that caused function evaluation to fail

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.